Bug 634340 - (CVE-2010-3303) CVE-2010-3303 mantis: several XSS flaws fixed in 1.2.3
CVE-2010-3303 mantis: several XSS flaws fixed in 1.2.3
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 634341
  Show dependency treegraph
Reported: 2010-09-15 16:16 EDT by Vincent Danen
Modified: 2016-03-04 07:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-10-01 16:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-09-15 16:16:12 EDT
Upstream MantisBT has released [1] version 1.2.3 which corrects a number of XSS flaws.  Two already have CVE names: CVE-2010-3070 and CVE-2010-2574.  There are an additional four issues currently without CVE names.

From the changelog [1]:

- 0012312: [security] NuSOAP WSDL XSS (cross-site scripting vulnerability) in Mantis 1.2.2 (CVE-2010-3070)
- 0012230: [security] XSS vulnerability when deleting maliciously named categories (CVE-2010-2574)
- 0012231: [security] XSS vulnerability when uninstalling maliciously named plugins
- 0012232: [security] Multiple XSS issues with custom field enumeration values
- 0012234: [security] XSS issues when using custom field String values
- 0012238: [security] XSS in print_all_bug_page_word.php when printing project and category names

[1] http://sourceforge.net/mailarchive/message.php?msg_name=4C8FC573.3060900%40leetcode.net
[2] http://www.mantisbt.org/bugs/changelog_page.php?project=mantisbt&version=1.2.3
Comment 1 Vincent Danen 2010-09-15 16:17:59 EDT
Created mantis tracking bugs for this issue

Affects: fedora-all [bug 634341]
Comment 2 Vincent Danen 2010-09-16 17:46:54 EDT
The four issues without CVE names have been given the name CVE-2010-3303.
Comment 3 Gianluca Sforna 2010-10-01 16:10:35 EDT
The update was pushed lately, looks like something did not work with auto-closing.

Note You need to log in before you can comment on or make changes to this bug.